Package: org.gradle.tooling.model.gradle

## [Java] Interface GradlePublication

- Represents some publication produced by a Gradle project, typically to a Maven or Ivy repository.

  Since:
    1.12

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GradleModuleVersion` | `getId()` Returns the unique identifier of the publication.

- - ### Method Detail

    - #### public GradleModuleVersion getId()

      Returns the unique identifier of the publication.

      Returns:
        the unique identifier of the publication